QwtPolarPanner(3)

NAME
QwtPolarPanner - QwtPolarPanner provides panning of a polar plot canvas.

SYNOPSIS

#include <qwt_polar_panner.h>

Inherits QwtPanner.

  Public Slots
virtual void movePlot (int dx, int dy)

  Public Member Functions
QwtPolarPanner (QwtPolarCanvas *)
Create a plot panner for a polar plot canvas.
virtual ~QwtPolarPanner ()
Destructor.
QwtPolarPlot * plot ()
const QwtPolarPlot * plot () const
QwtPolarCanvas * canvas ()
const QwtPolarCanvas * canvas () const

  Protected Member Functions
virtual void widgetMousePressEvent (QMouseEvent *) override

  Additional Inherited Members

Detailed Description

QwtPolarPanner provides panning of a polar plot canvas. QwtPolarPanner is a panner for a QwtPolarCanvas, that adjusts the visible area after dropping the canvas on its new position.

Together with QwtPolarMagnifier individual ways of navigating on a QwtPolarPlot widget can be implemented easily.

See also
    QwtPolarMagnifier

Definition at line 30 of file qwt_polar_panner.h.

Member Function Documentation

  QwtPolarCanvas * QwtPolarPanner::canvas ()

Returns
    observed plot canvas

Definition at line 29 of file qwt_polar_panner.cpp.

  const QwtPolarCanvas * QwtPolarPanner::canvas () const

Returns
    observed plot canvas

Definition at line 35 of file qwt_polar_panner.cpp.

  void QwtPolarPanner::movePlot (int dx, int dy) [virtual], [slot]
Adjust the zoomed area according to dx/dy

Parameters
    dx Pixel offset in x direction
    dy Pixel offset in y direction

See also
    QwtPanner::panned(), QwtPolarPlot::zoom()

Definition at line 68 of file qwt_polar_panner.cpp.

  QwtPolarPlot * QwtPolarPanner::plot ()

Returns
    observed plot

Definition at line 41 of file qwt_polar_panner.cpp.

  const QwtPolarPlot * QwtPolarPanner::plot () const

Returns
    observed plot

Definition at line 51 of file qwt_polar_panner.cpp.

  void QwtPolarPanner::widgetMousePressEvent (QMouseEvent * event) [override], [protected], [virtual]
Block panning when the plot zoom factor is >= 1.0.

Parameters
    event Mouse event

Reimplemented from QwtPanner.

Definition at line 108 of file qwt_polar_panner.cpp.

Author

Generated automatically by Doxygen for Qwt User's Guide from the source code.